[
{
    blockid=sys;
    help=service_smtp_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.defdomain.text="Adressenvervollst\u00e4ndigungsdom\u00e4ne:";
	.localdomain.help="Liste der Dom\u00e4nen, die ausschlie\u00dflich von diesem Server 
bearbeitet werden";
	.localdomain.header="Lokale Dom\u00e4ne";
	.hostoncmd.text="Namen der Client-Computer suchen";
	.plaintext.text="Passwort-Anmeldung zulassen";
	.mincipher.text="Mindest-Verschl\u00fcsselungsl\u00e4nge f\u00fcr 
Passwortverschl\u00fcsselung";
	.unix.border=[titled,"UNIX-Zustellung"];
	.unix.help="F\u00fcr Benutzer, die die Option \"UNIX-Zustellung\" aktiviert 
haben, wird das nachfolgend angegebene Programm verwendet, um Nachrichten in der 
lokalen Mail-Datei des Benutzers zu speichern.";
	.program.border=[titled,"Programm-Zustellung"];
	.program.help="Aus Sicherheitsgr\u00fcnden sollten Programme nie als \"Root\" 
ausgef\u00fchrt werden. Um die Programmzustellung f\u00fcr das Root-Konto zu aktivieren, 
muss eine sichere ID f\u00fcr "Root" angegeben werden.";
	.unixdeliver.text="Lokales Mail-Zustellungsprogramm:";
	.defuid.text="Sichere Benutzer-ID zur Ausf\u00fchrung von Programmen:";
	.defgid.text="Sichere Gruppen-ID zur Ausf\u00fchrung von Programmen:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=defdomainlabel;
	    text=$.defdomain.text;
	    wrap=$g.label.size1;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=defdomainlabel;
	    val=$service.defaultdomain.value;
	    constraint={
		gridx=1;
		gridy=0;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=localdomainlabel;
	    text=$.localdomain.help;
	    wrap=$g.label.size4;
	    constraint={
		gridx=0;
		gridy=1;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=stdtable;
	    label=localdomainlabel;
	    stdtable=true;
	    addui=domaindialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.localdomain.header;
	    editui=domaindialog;
	    edittitle=$.localdomain.header;
	    val=$service.smtp.smtp-router.localmaildomains.value;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
		gridx=0;
		gridy=2;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.localdomain.header;
		    varname=domainname;
		}
	    ]
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    constraint={
		gridx=0;
		gridy=3;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=mincipherlabel;
		    text=$.mincipher.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=choice;
		    id=mincipher;
		    label=mincipherlabel;
		    items=[0,40,128];
		    val=$plaintextmincipher.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.unix.border;
	    constraint={
		gridx=0;
		gridy=4;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.unix.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.unixdeliver.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    val=$service.smtp.unix-deliver.maildeliveryprogram.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.program.border;
	    constraint={
		gridx=0;
		gridy=5;
		gridwidth=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.program.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defuidlabel;
		    text=$.defuid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defuidlabel;
		    val=$service.smtp.prog-deliver.defaultuid.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defgidlabel;
		    text=$.defgid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defgidlabel;
		    val=$service.smtp.prog-deliver.defaultgid.value;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	}
    ]
},
{
    blockid=domaindialog;
    help=service_smtp_sys_domaindialog;
    localvar={
	.name.text="Dom\u00e4ne, die ausschlie\u00dflich von diesem Server verarbeitet 
wird:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.name.text;
	    wrap=$g.label.size3;
	    aligny=0.5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$domainname;
	    aligny=0.5;
	    focus=true;
	    validate=com.netscape.management.msgserv.util.ValidDomain;
	}
    ]
}
]
